using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Foundation;
using UIKit;
using Syncfusion.SfDataGrid;
using CoreGraphics;

namespace GridIniOS
{
   public class MyViewController:UIViewController
    {
        private SfDataGrid dataGrid;
        private ViewModel viewModel;
        internal OrderInfo orderInfo;
        public MyViewController()
        {
            dataGrid = new SfDataGrid();
            viewModel = new ViewModel();
            orderInfo = new OrderInfo();
        }

        public override void ViewDidLoad()
        {
            base.ViewDidLoad();
            this.View.BackgroundColor = UIColor.White;
            dataGrid.ItemsSource = viewModel.OrdersInfo;
            dataGrid.AutoGenerateColumns = true;
            dataGrid.AllowEditing = true;
            dataGrid.EditTapAction = TapAction.OnTap;
            dataGrid.CellRenderers.Remove("Numeric");
            dataGrid.CellRenderers.Add("Numeric", new NumericColumnRenderer());
            this.dataGrid.AutoGenerateColumns = false;

            GridNumericColumn orderID = new GridNumericColumn();
            orderID.MappingName = "OrderID";

            GridNumericColumn freight = new GridNumericColumn();
            freight.MappingName = "Freight";

            this.dataGrid.Columns.Add(orderID);
            this.dataGrid.Columns.Add(freight);
            this.View.AddSubview(dataGrid);
            this.View.BackgroundColor = UIColor.White;
            
        }

        
        public override void ViewDidLayoutSubviews()
        {
            dataGrid.Frame = new CGRect(0, 50, View.Frame.Width, View.Frame.Height - 20);
            base.ViewDidLayoutSubviews();
        }
    }
}